## libguestfs 1.52.0

=== debian/changelog ===
libguestfs (1:1.52.0-5ubuntu3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:16:18 +0200

libguestfs (1:1.52.0-5ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:01:37 +0000

libguestfs (1:1.52.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
    - Add some packages to packagelist.in to avoid missing libraries

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 21:34:45 +0100

libguestfs (1:1.52.0-5) unstable; urgency=medium

  * Write dependencies from Supermin appliance to correct substvars file,
    take two.
    (Closes: #1065610)

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 14:01:03 +0100

libguestfs (1:1.52.0-4) unstable; urgency=medium

  * Write dependencies from Supermin appliance to correct substvars file
    (Closes: #1065610)

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 09:45:13 +0100

libguestfs (1:1.52.0-3) unstable; urgency=medium

  * Add rpc-related build-dependencies.
    Thanks to Aurelien Jarno (Closes: #1065189)
  * Switch Build-Depends to systemd-dev (Closes: #1060585)
  * Bump supermin dependency so that virtual dependencies are resolved.
    (Closes: #1065610)
  * Adjust build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 00:43:12 +0100

libguestfs (1:1.52.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062358

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:35:02 +0000

libguestfs (1:1.52.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:51:05 +0100

libguestfs (1:1.52.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.
  * Add some packages to packagelist.in to avoid missing libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 13:43:24 +0100

libguestfs (1:1.52.0-2) unstable; urgency=medium

  * Add explicit qemu-utils dependency to libguestfs0, fixing dependent
    packages

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Jan 2024 00:01:44 +0100

libguestfs (1:1.52.0-1) unstable; urgency=medium

  * Add patch to only pass -rtc driftfix=slew on x86 architectures
  * Fix MIPS CPU patch
  * Add Romanian Debconf translation, thanks to Remus-Gabriel Chelu
    (Closes: #1059591)
  * New upstream version 1.52.0
  * Rebase patches
  * Use dhcpcd (dhcpcd-base) as default DHCP client (Closes: #1041066)
  * Ensure that package can be rebuilt from source after successful build
    (Closes: #1045306)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Jan 2024 17:52:14 +0100

libguestfs (1:1.50.1-4ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:52 +0100
