## libguestfs 1.52.2

=== debian/changelog ===
libguestfs (1:1.52.2-7) unstable; urgency=medium

  * Add build support for loongarch64.
    Thanks to Dandan Zhang (Closes: #1090732)

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 Dec 2024 12:46:25 +0100

libguestfs (1:1.52.2-6) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Stop running quickcheck on i386 (Closes: #1085438)

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Nov 2024 17:55:58 +0100

libguestfs (1:1.52.2-5) unstable; urgency=medium

  * Tweak qemu-system-* dependencies.
    Thanks to Michael Tokarev (Closes: 1086026)

 -- Hilko Bengen <bengen@debian.org>  Sat, 26 Oct 2024 12:47:48 +0200

libguestfs (1:1.52.2-4) unstable; urgency=medium

  * Update fuse build dependency to allow for fuse3 (Closes: #1084437)

 -- Hilko Bengen <bengen@debian.org>  Mon, 07 Oct 2024 15:21:04 +0200

libguestfs (1:1.52.2-3) unstable; urgency=medium

  * Add patch to link daemon with -latomic.
    Thanks to Stéphane Glondu (Closes: 1078470)
  * Add missing build-dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Aug 2024 12:29:50 +0200

libguestfs (1:1.52.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Do not hardcode /usr/lib/ocaml (Closes: #1077899)

 -- Hilko Bengen <bengen@debian.org>  Fri, 09 Aug 2024 00:07:36 +0200

libguestfs (1:1.52.2-1) unstable; urgency=medium

  * New upstream version 1.52.2

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Jul 2024 10:01:14 +0200

libguestfs (1:1.52.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install 99-guestfs-serial.rules into /usr/lib/udev/rules.d (Closes:
    #1057804)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 01:35:29 +0200

libguestfs (1:1.52.0-6) unstable; urgency=medium

  * Add util-linux-extra to appliance list (Closes: #1071313)

 -- Hilko Bengen <bengen@debian.org>  Sat, 18 May 2024 22:26:51 +0200
