=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libguestfs
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
   po-debconf, bash-completion,
@@ -26,12 +25,12 @@
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [riscv64],
   qemu-system-s390x [s390x],
-  qemu-system-aarch64 [arm64],
+  qemu-system-riscv64 [riscv64],
   qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
   qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64],
+  qemu-system-misc [loong64],
   xorriso,
   sqlite3,
   pkgconf,
@@ -46,8 +45,8 @@
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
-  libfuse-dev, fuse,
-  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>, gobject-introspection-bin, libgirepository1.0-dev,
+  libfuse-dev, fuse3 (>= 3.10.1-3) | fuse (<< 3),
+  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>, gobject-introspection, gobject-introspection-bin, libgirepository1.0-dev,
   libgtk-3-dev,
   db-util,
   netpbm, icoutils,
@@ -55,6 +54,14 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 mips mipsel mips64el ppc64el],
   dh-php, php-all-dev | php5-dev,
+# for testing (make quickcheck)
+  linux-image-amd64 [amd64] <!nocheck>,
+  linux-image-armmp [armhf] <!nocheck>,
+  linux-image-arm64 [arm64] <!nocheck>,
+  linux-image-powerpc64le [ppc64el] <!nocheck>,
+  linux-image-riscv64 [riscv64] <!nocheck>,
+  linux-image-s390x [s390x] <!nocheck>,
+  linux-image-loong64 [loong64] <!nocheck>,
 #-# appliance start
   acl,
   attr,
@@ -75,7 +82,7 @@
   gdisk,
   gfs2-utils,
 # gfs-tools,
-#  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
+  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
   hfsplus,
   iproute2 | iproute,
   iputils-arping,
@@ -114,6 +121,7 @@
   syslinux [i386 amd64],
   udev,
 # ufsutils,
+  util-linux-extra,
   uuid-runtime,
   vim-tiny,
   e2fsprogs,
@@ -182,12 +190,12 @@
   supermin (>= 5.2.2-4~),
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [riscv64],
   qemu-system-s390x [s390x],
-  qemu-system-aarch64 [arm64],
+  qemu-system-riscv64 [riscv64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
+  qemu-system-misc [loong64],
   qemu-utils,
   db-util,
   icoutils,
@@ -393,14 +401,3 @@
 Section: python
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Replaces: python-guestfs
-Breaks: python-guestfs
-Description: guest disk image management system - Python 3 bindings
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
- This package contains the Python 3 bindings.
-
-Package: libguestfs-perl
-Section: perl
-Architecture: linux-any
