## libguestfs 1.54.0

=== debian/changelog ===
libguestfs (1:1.54.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update translation

  [ Hilko Bengen ]
  * New upstream version 1.54.0
  * Remove direct gobject-introspection-bin dependency (Closes: #1094628)
  * Update watch file
  * Rebase patches
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Feb 2025 00:19:58 +0100
