## libguestfs 1.54.1

=== debian/changelog ===
libguestfs (1:1.54.1-2) unstable; urgency=medium

  * Replace isc-dhcp-client build-dependency with dhcpcd-base.
    Thanks to Bastian Blank (Closes: #1106125)

 -- Hilko Bengen <bengen@debian.org>  Sat, 24 May 2025 21:31:19 +0200

libguestfs (1:1.54.1-1) unstable; urgency=medium

  * New upstream version 1.54.1
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Feb 2025 09:38:24 +0100
