=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse3 (>= 3.10.1-3) | fuse (<< 3),
-  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>, gobject-introspection, gobject-introspection-bin, libgirepository1.0-dev,
+  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>, gobject-introspection, libgirepository1.0-dev,
   libgtk-3-dev,
   db-util,
   netpbm, icoutils,
@@ -72,6 +72,7 @@
   cryptsetup-bin,
   curl,
   debootstrap,
+  dhcpcd-base,
   dosfstools,
   exfatprogs,
   extlinux [i386 amd64],
@@ -88,7 +89,6 @@
   iputils-arping,
   iputils-ping,
   iputils-tracepath,
-  isc-dhcp-client,
   jfsutils,
   kmod | module-init-tools,
   kpartx,
@@ -401,3 +401,4 @@
 Section: python
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Replaces: python-guestfs
