## libguestfs 1.56.2

=== debian/changelog ===
libguestfs (1:1.56.2-6ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Feb 2026 08:26:38 +0100

libguestfs (1:1.56.2-6) unstable; urgency=medium

  * Bump Standards-Version
  * Add patch to wait for device node to appear before mkfs, mount
  * Re-enable tests (quickcheck) and autopkgtests

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Feb 2026 13:36:00 +0100

libguestfs (1:1.56.2-5ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:07:33 +0100

libguestfs (1:1.56.2-5) unstable; urgency=medium

  * Replace ocaml-nox build-dependency (Closes: #1125113)
  * Fix FUSE3 patch.
    Thanks to Sven Geuer (Closes: #1126422)
  * Remove isc-dhcp dependencies (Closes: #1125958)

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Jan 2026 17:45:11 +0100

libguestfs (1:1.56.2-4ubuntu3) resolute; urgency=medium

  * No-change rebuild for php 8.5.

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 26 Jan 2026 10:16:30 -0300

libguestfs (1:1.56.2-4ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Jan 2026 09:29:59 +0100

libguestfs (1:1.56.2-4) unstable; urgency=medium

  * Fix branch in gbp.conf

 -- Hilko Bengen <bengen@debian.org>  Thu, 08 Jan 2026 10:21:55 +0100

libguestfs (1:1.56.2-3) unstable; urgency=medium

  * Add isc-dhcp-client dependency so it is added to the packagelist
    (Closes: #1111785)

 -- Hilko Bengen <bengen@debian.org>  Tue, 30 Dec 2025 10:56:09 +0100

libguestfs (1:1.56.2-2) unstable; urgency=medium

  * Run quickchek test only if kvm is available
  * Temporarily remove autopkgtests (Closes: #1121473)

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Dec 2025 21:23:48 +0100

libguestfs (1:1.56.2-1ubuntu2) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:31:09 +0100

libguestfs (1:1.56.2-1) unstable; urgency=medium

  * New upstream version 1.56.2
  * Update debian/watch for 1.56.*
  * Update build-dependencies
  * Rebase patches
  * Update symbols
  * Explicitly disable Rust support
  * Remove reiserfs support (Closes: #1112513)
  * Remove zfs-fuse support that has been dropped upstream
  * Add FUSE 3 compatibility patch, re-enable building guestmount
    (Closes: #1122972)

 -- Hilko Bengen <bengen@debian.org>  Mon, 29 Dec 2025 02:00:12 +0100

libguestfs (1:1.54.1-3.1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Dec 2025 17:22:10 +0100

libguestfs (1:1.54.1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop fuse features (Closes: #1121188, #1094463)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Nov 2025 21:06:48 +0100

libguestfs (1:1.54.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Nov 2025 08:13:21 +0100

libguestfs (1:1.54.1-3) unstable; urgency=medium

  * Replace libgirepository1.0-dev build-dependency.
    Thanks to Simon McVittie (Closes: #1118866)
  * Add Lintian override for uses-dpkg-database-directly
  * Move girepository-1.0 to multiarch dir.
    Thanks to Simon McVittie (Closes: #1118517)
  * Fix jquery link to eliminate embedded-javascript-library Lintian warning
  * Use current stable instead of oldoldstable for autopkgtest
    (Closes: #1120436)

 -- Hilko Bengen <bengen@debian.org>  Sun, 09 Nov 2025 20:28:00 +0100

libguestfs (1:1.54.1-2ubuntu7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:03:08 +0100

libguestfs (1:1.54.1-2ubuntu6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 17:43:22 +0100

libguestfs (1:1.54.1-2ubuntu5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:59:45 +0100


