=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libguestfs
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
   po-debconf, bash-completion,
@@ -14,6 +15,7 @@
   liblzma-dev, libmagic-dev, libncurses-dev, libpcre2-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin,
   libdbus-1-dev,
+  libjson-c-dev,
   librpm-dev,
   systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
@@ -25,17 +27,19 @@
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
+  qemu-system-aarch64 [arm64],
   qemu-system-s390x [s390x],
   qemu-system-riscv64 [riscv64],
   qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
   qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64],
   qemu-system-misc [loong64],
+  qemu-utils,
   xorriso,
   sqlite3,
   pkgconf,
   dh-lua,
-  dh-ocaml, ocaml-nox, ocaml-findlib, libgettext-ocaml-dev,
+  dh-ocaml, ocaml, ocaml-findlib, libgettext-ocaml-dev,
   python3-all-dev,
   dh-python,
   default-jdk,
@@ -45,8 +49,9 @@
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
-  libfuse-dev, fuse3 (>= 3.10.1-3) | fuse (<< 3),
-  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>, gobject-introspection, libgirepository1.0-dev,
+  libfuse3-dev, fuse3 (>= 3.10.1-3),
+  libglib2.0-dev, gjs [!s390x !armel] <!nocheck>,
+  gobject-introspection (>= 1.80), gir1.2-gio-2.0-dev, gir1.2-glib-2.0-dev,
   libgtk-3-dev,
   db-util,
   netpbm, icoutils,
@@ -54,20 +59,13 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 mips mipsel mips64el ppc64el],
   dh-php, php-all-dev | php5-dev,
-# for testing (make quickcheck)
-  linux-image-amd64 [amd64] <!nocheck>,
-  linux-image-armmp [armhf] <!nocheck>,
-  linux-image-arm64 [arm64] <!nocheck>,
-  linux-image-powerpc64le [ppc64el] <!nocheck>,
-  linux-image-riscv64 [riscv64] <!nocheck>,
-  linux-image-s390x [s390x] <!nocheck>,
-  linux-image-loong64 [loong64] <!nocheck>,
 #-# appliance start
   acl,
   attr,
   bsdextrautils | bsdmainutils,
   btrfs-progs,
   bzip2,
+  clevis-luks,
   cpio,
   cryptsetup-bin,
   curl,
@@ -83,7 +81,8 @@
   gdisk,
   gfs2-utils,
 # gfs-tools,
-  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
+  gostsum,
+#  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
   hfsplus,
   iproute2 | iproute,
   iputils-arping,
@@ -91,7 +90,6 @@
   iputils-tracepath,
   jfsutils,
   kmod | module-init-tools,
-  kpartx,
   ldmtool,
   less,
 # libc-bin,
@@ -110,8 +108,6 @@
   pciutils,
   procps,
   psmisc,
-  qemu-utils,
-  reiserfsprogs,
   rsync,
   scrub,
   sleuthkit,
@@ -128,11 +124,10 @@
   xfsprogs,
   xz-utils,
   zerofree,
-  zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
   zstd,
 #-# appliance end
 Homepage: http://libguestfs.org
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/libvirt-team/libguestfs.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libguestfs
@@ -190,6 +185,7 @@
   supermin (>= 5.2.2-4~),
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
+  qemu-system-aarch64 [arm64],
   qemu-system-s390x [s390x],
   qemu-system-riscv64 [riscv64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
@@ -203,14 +199,12 @@
   osinfo-db,
   ${appliance:Depends},
 Recommends: libguestfs-hfsplus,
- libguestfs-reiserfs,
  libguestfs-xfs,
 Suggests: libguestfs-gfs2,
  libguestfs-jfs,
  libguestfs-nilfs,
  libguestfs-rescue,
  libguestfs-rsync,
- libguestfs-zfs,
 Description: guest disk image management system - shared library
  The libguestfs library allows accessing and modifying guest disk
  images. It offers the following features, among many others:
@@ -284,19 +278,6 @@
  .
  This package contains appliance fragments for NILFS v2 support.
 
-Package: libguestfs-reiserfs
-Section: libs
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libguestfs0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- ${appliance:Depends},
-Description: guest disk image management system - ReiserFS support
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
- This package contains appliance fragments for ReiserFS support.
-
 Package: libguestfs-rescue
 Section: libs
 Architecture: linux-any
@@ -338,19 +319,6 @@
  images.
  .
  This package contains appliance fragments for XFS support.
-
-Package: libguestfs-zfs
-Section: libs
-Architecture: i386 amd64 powerpc sparc
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libguestfs0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- ${appliance:Depends},
-Description: guest disk image management system - ZFS support
- The libguestfs library allows accessing and modifying guest disk
- images.
- .
- This package contains appliance fragments for ZFS support.
 
 Package: guestfish
 Section: admin
@@ -402,3 +370,39 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Replaces: python-guestfs
+Breaks: python-guestfs
+Description: guest disk image management system - Python 3 bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Python 3 bindings.
+
+Package: libguestfs-perl
+Section: perl
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0t64 (= ${binary:Version}),
+ ${perl:Depends},
+ libxml-xpath-perl,
+ libwin-hivex-perl,
+ libsys-virt-perl,
+Description: guest disk image management system - Perl bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Perl bindings.
+ 
+Package: libguestfs-ocaml
+Section: ocaml
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0t64 (= ${binary:Version}),
+ ${ocaml:Depends}
+Provides: ${ocaml:Provides}
+Description: guest disk image management system - OCaml bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package includes the OCaml shared runtime stub libraries.
+ 
+Package: libguestfs-ocaml-dev
+Section: ocaml
+Architecture: linux-any
