=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 #
 # - Running `debian/rules output_template' can be used to inspect the
 #   targets that have been generated using `DH_AUTO_TEMPLATE'.
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 # export DH_VERBOSE=1
 include /usr/share/dpkg/architecture.mk
@@ -52,8 +54,9 @@
 			-e 's,powerpc(64.*)?,ppc64,' \
 			-e 's,arm.*,arm,')
 
-# Run "make quickcheck" only on these architectures
-QUICKCHECK_ARCHITECTURES := amd64 armhf arm64 riscv64 ppc64el # s390x
+# Do not run "make quickcheck" only on these architectures
+# this requires a readable kernel image
+#QUICKCHECK_ARCHITECTURES := amd64 armhf arm64 riscv64 ppc64el # s390x
 
 # Template for generating dh_{clean,configure,build,test} overrides.
 # $1 is replaced with the build number.
@@ -67,6 +70,7 @@
 		--disable-gnulib-tests     \
 		--with-readline	           \
 		--disable-haskell          \
+		--disable-rust             \
 		--with-guestfs-path=/usr/lib/$(DEB_HOST_MULTIARCH)/guestfs \
 		--with-qemu=qemu-system-$(QEMU_CPU) \
 		$(if $(findstring powerpcspe,$(DEB_HOST_GNU_CPU)),\
@@ -129,14 +133,12 @@
 # Just run the test on the last build.
 override_dh_auto_test:
 ifneq "" "$(findstring x$(DEB_HOST_ARCH)x,$(patsubst %,x%x,$(QUICKCHECK_ARCHITECTURES)))"
-	printenv
-	mount
-	unset XDG_RUNTIME_DIR; export TMPDIR=$(CURDIR)/tmp; \
-		mkdir -p $(CURDIR)/tmp; \
-		if ! test -w /dev/kvm; then \
-			export LIBGUESTFS_BACKEND_SETTINGS=force_tcg; \
-		fi; \
-		make -C $(CURDIR)/debian/build-$(BUILD_COUNT) quickcheck
+	unset XDG_RUNTIME_DIR; \
+	export TMPDIR=$(CURDIR)/tmp; rm -rf $(CURDIR)/tmp; mkdir -p $(CURDIR)/tmp; \
+	if ! test -w /dev/kvm; then \
+		export LIBGUESTFS_BACKEND_SETTINGS=force_tcg ; \
+	fi ; \
+	$(MAKE) -C $(CURDIR)/debian/build-$(BUILD_COUNT) quickcheck
 endif
 
 # Installation needs to happen in order because only the last build
